E-MailRelay

Classes | Namespaces
gmapfile.h File Reference
`#include "gdef.h"`
`#include "gpath.h"`
`#include "gstringarray.h"`
`#include "gstringmap.h"`
`#include "gstringview.h"`
`#include "gexception.h"`
`#include "goptions.h"`
`#include "goptionvalue.h"`
`#include "goptionmap.h"`
`#include <string>`
`#include <utility>`
`#include <iostream>`
`#include <vector>`
Include dependency graph for gmapfile.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | G::MapFile
| A class for reading, writing and editing key=value files, supporting variable expansion of percent-key-percent values, comments, creation of backup files, and logging. More...
struct | G::MapFile::Error
| Exception class for G::MapFile. More...

## Namespaces
namespace | G
| Low-level classes.